Share via


Web Apps - Create Or Update Site Container Slot

Creates or Updates a site container for a site, or a deployment slot.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/sitecontainers/{containerName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
containerName
path True

string

pattern: (^[a-zA-Z0-9]$)|(^[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]$)

Site Container Name

name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

slot
path True

string

Name of the deployment slot. If a slot is not specified, the API will get the Site Container for the production slot.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.image True

string

Image Name

properties.isMain True

boolean

true if the container is the main site container; false otherwise.

kind

string

Kind of resource.

properties.authType

AuthType

Auth Type

properties.environmentVariables

EnvironmentVariable[]

List of environment variables

properties.inheritAppSettingsAndConnectionStrings

boolean

true if all AppSettings and ConnectionStrings have to be passed to the container as environment variables; false otherwise.

properties.passwordSecret

string

Password Secret

properties.startUpCommand

string

StartUp Command

properties.targetPort

string

Target Port

properties.userManagedIdentityClientId

string

UserManagedIdentity ClientId

properties.userName

string

User Name

properties.volumeMounts

VolumeMount[]

List of volume mounts

Responses

Name Type Description
200 OK

SiteContainer

Resource 'SiteContainer' update operation succeeded

201 Created

SiteContainer

Resource 'SiteContainer' create operation succeeded

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
AuthType

Auth Type

createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

EnvironmentVariable
SiteContainer

Container of a site

systemData

Metadata pertaining to creation and last modification of the resource.

VolumeMount

AuthType

Auth Type

Value Description
Anonymous
UserCredentials
SystemIdentity
UserAssigned

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

EnvironmentVariable

Name Type Description
name

string

Environment variable name

value

string

The value of this environment variable must be the name of an AppSetting. The actual value of the environment variable in container will be retrieved from the specified AppSetting at runtime. If the AppSetting is not found, the value will be set to an empty string in the container at runtime.

SiteContainer

Container of a site

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.authType

AuthType

Auth Type

properties.createdTime

string (date-time)

Created Time

properties.environmentVariables

EnvironmentVariable[]

List of environment variables

properties.image

string

Image Name

properties.inheritAppSettingsAndConnectionStrings

boolean

true if all AppSettings and ConnectionStrings have to be passed to the container as environment variables; false otherwise.

properties.isMain

boolean

true if the container is the main site container; false otherwise.

properties.lastModifiedTime

string (date-time)

Last Modified Time

properties.passwordSecret

string

Password Secret

properties.startUpCommand

string

StartUp Command

properties.targetPort

string

Target Port

properties.userManagedIdentityClientId

string

UserManagedIdentity ClientId

properties.userName

string

User Name

properties.volumeMounts

VolumeMount[]

List of volume mounts

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

VolumeMount

Name Type Description
containerMountPath

string

Target path on the container where volume is mounted on

data

string

Config Data to be mounted on the volume

readOnly

boolean

Boolean to specify if the mount is read only on the container

volumeSubPath

string

Sub path in the volume where volume is mounted from.